SharedSocket.VirtualSocket (jTDS API)
Keywords: net.sourceforge.jtds.jdbc.SharedSocket.VirtualSocket class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class SharedSocket.VirtualSocket

    java.lang.Object
      net.sourceforge.jtds.jdbc.SharedSocket.VirtualSocket

Enclosing class:
  SharedSocket

private static class SharedSocket.VirtualSocket
extends java.lang.Object

This inner class contains the state information for the virtual socket.

Field Summary
`(package private) boolean` | `complete` True if output is complete TDS packet.
`(package private) java.io.RandomAccessFile` | `diskQueue` I/O Stream for disk packet queue.
`(package private) boolean` | `flushInput` True to discard network data.
`(package private) int` | `inputPkts` Total of input packets in memory or disk.
`(package private) int` | `owner` The stream ID of the stream objects owning this state.
`(package private) java.util.LinkedList` | `pktQueue` Memory resident packet queue.
`(package private) int` | `pktsOnDisk` Number of packets cached to disk.
`(package private) java.io.File` | `queueFile` File object for disk packet queue.

Constructor Summary
`(package private)` | `SharedSocket.VirtualSocket(int streamId)` Constuct object to hold state information for each caller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    final int owner

  The stream ID of the stream objects owning this state.

### pktQueue

    final java.util.LinkedList pktQueue

  Memory resident packet queue.

### flushInput

    boolean flushInput

  True to discard network data.

### complete

    boolean complete

  True if output is complete TDS packet.

### queueFile

    java.io.File queueFile

  File object for disk packet queue.

### diskQueue

    java.io.RandomAccessFile diskQueue

  I/O Stream for disk packet queue.

### pktsOnDisk

    int pktsOnDisk

  Number of packets cached to disk.

### inputPkts

    int inputPkts

  Total of input packets in memory or disk.

Constructor Detail

### SharedSocket.VirtualSocket

    SharedSocket.VirtualSocket(int streamId)

  Constuct object to hold state information for each caller.

Parameters:
  `streamId` - the Response/Request stream id.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009